<?php

namespace Aeneria\GrdfAdictApi\Model;

use Aeneria\GrdfAdictApi\Exception\GrdfAdictDataNotFoundException;

class MeteringData
{

    /** @var \DateTimeImmutable */
    private $date;

    /** @var float */
    private $value;

    public static function fromJson(string $jsonData): self
    {
        $meteringData = new self();

        $data = \json_decode($jsonData);

        if ($data->consommation ) {
            $meteringData->date = \DateTimeImmutable::createFromFormat('Y-m-d', $data->consommation->journee_gaziere);
            $meteringData->value = $data->consommation->energie;
        } else {
            throw new GrdfAdictDataNotFoundException($data->statut_restitution->message ?? null);
        }

        return $meteringData;
    }

    public function getDate(): \DateTimeImmutable
    {
        return $this->date;
    }

    public function setDate(\DateTimeImmutable $date): self
    {
        $this->date = $date;

        return $this;
    }

    public function getValue(): float
    {
        return $this->value;
    }

    public function setValue(float $value): self
    {
        $this->value = $value;

        return $this;
    }
}
