<?php

namespace Aeneria\GrdfAdictApi\Service;

use Aeneria\GrdfAdictApi\Exception\GrdfAdictConsentException;
use Aeneria\GrdfAdictApi\Exception\GrdfAdictDataNotFoundException;
use Aeneria\GrdfAdictApi\Exception\GrdfAdictException;
use Aeneria\GrdfAdictApi\Exception\GrdfAdictQuotaExceededException;
use Symfony\Contracts\HttpClient\ResponseInterface;

abstract class AbstractApiService
{
    protected function checkResponse(ResponseInterface $response): void
    {
        $code = $response->getStatusCode();

        if (200 !== $code) {
            switch ($code) {
                case 403:
                    throw new GrdfAdictConsentException($response->getContent(false), $code);
                case 404:
                    throw new GrdfAdictDataNotFoundException($response->getContent(false), $code);
                case 429:
                    throw new GrdfAdictQuotaExceededException($response->getContent(false), $code);
                default:
                    throw new GrdfAdictException($response->getContent(false), $code);
            }
        }
    }
}
