<?php

namespace Aeneria\GrdfAdictApi\Service;

use Symfony\Contracts\HttpClient\HttpClientInterface;

/**
 * Meta-Service to access all API services
 *
 * @see https://site.grdf.fr/web/grdf-adict/technique/
 */
class GrdfAdictService implements GrdfAdictServiceInterface
{
    /** @var AuthentificationService */
    private $authentificationService;
    /** @var ConsommationService */
    private $consommationService;
    /** @var ContratService */
    private $contratService;

    public function __construct(HttpClientInterface $httpClient, string $authEndpoint, string $tokenEndpoint, string $dataEndpoint, string $clientId, string $clientSecret, string $redirectUri)
    {
        $this->authentificationService = new AuthentificationService($httpClient, $authEndpoint, $tokenEndpoint, $clientId, $clientSecret, $redirectUri);
        $this->consommationService = new ConsommationService($httpClient, $dataEndpoint);
        $this->contratService = new ContratService($httpClient, $dataEndpoint);
    }

    public function getAuthentificationService(): AuthentificationServiceInterface
    {
        return $this->authentificationService;
    }

    public function getConsommationService(): ConsommationServiceInterface
    {
        return $this->consommationService;
    }

    public function getContratService(): ContratServiceInterface
    {
        return $this->contratService;
    }
}
