<?php

namespace Aeneria\GrdfAdictApi\Service;

class MockGrdfAdictService implements GrdfAdictServiceInterface
{
    /** @var MockAuthentificationService */
    private $authentificationService;
    /** @var MockConsommationService */
    private $consommationService;
    /** @var MockContratService */
    private $contratService;

    public function __construct()
    {
        $this->authentificationService = new MockAuthentificationService();
        $this->consommationService = new MockConsommationService();
        $this->contratService = new MockContratService();
    }

    public function getAuthentificationService(): AuthentificationServiceInterface
    {
        return $this->authentificationService;
    }

    public function getConsommationService(): ConsommationServiceInterface
    {
        return $this->consommationService;
    }

    public function getContratService(): ContratServiceInterface
    {
        return $this->contratService;
    }
}
