<?php

namespace Aeneria\EnedisDataConnectApi\Tests\Unit;

use Aeneria\GrdfAdictApi\Model\MeteringData;
use Aeneria\GrdfAdictApi\Service\ConsommationService;
use PHPUnit\Framework\TestCase;
use Symfony\Component\HttpClient\MockHttpClient;
use Symfony\Component\HttpClient\Response\MockResponse;

final class ConsommationServiceTest extends TestCase
{
    public function testRequestConsoInformative()
    {
        $json = <<<JSON
        {
          "consommation": {
            "journee_gaziere": "2019-05-06",
            "energie": "540"
          }
        }
        JSON;
        $data = MeteringData::fromJson($json);

        $httpClient = new MockHttpClient(
            new MockResponse($json)
        );

        $service = new ConsommationService(
            $httpClient,
            'http://endpoint.fr'
        );

        $dataFromService = $service->requestConsoInformative(
          'accessToken',
          'pce',
          new \DateTimeImmutable(),
          new \DateTimeImmutable()
        );

        self::assertEquals($data, $dataFromService);
    }
}
